:root{
  --primary-color: #008080;
  --bcg-color: #f5f5f5;
  --padding: 20px;
  --text-color: #fff;
  --border-radius: 5px;
}
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
  font-family: Arial, Helvetica, sans-serif;
  background-color: var(--bcg-color);
  width: 100w;
}

header{
  background-color: var(--primary-color);
  padding: var(--padding);
  color: var(--text-color);
}
header h1 {
  font-size: 36;
}

main{
    min-height: 78vh;
    padding: var(--padding);
    max-width: 800px;
    margin: 0 auto;
}

main form{
  display: flex;
  justify-content: center;
}
form input[type="text"], 
button[type="submit"],
.result div a{
  border: none;
  font-size: 16px;
  font-weight: 500;
  border-radius: var(--border-radius);
  padding: calc(var(--padding)/2);
}
form input[type="text"]{
  flex-grow: 1;
}
form button[type="submit"]{
  background-color: var(--primary-color);
  color: var(--text-color);
  margin-left: 10px;
  cursor: pointer;
}

footer{
  background-color: var(--primary-color);
  color: var(--text-color);
  padding: var(--padding);
  position: fixed;
  width: 100%;
}
footer h3{
  color: var(--text-color);
  font-size: 20px;
}
footer p a{
  position: relative;
  top: -20px;
  left: 300px;
  text-decoration: none;
  color: #f5f5f5;
}
.fa-linkedin{
  color: #d4f326;
  font-size: 30px;
  position: relative;
  left: 70px;
  top: -30px;
}

.icon-size{
  font-size: 30px;
  margin-top: -8px;
  color: #d4f326;
}
.result{
  background-color: #fff;
  padding: var(--padding);
  border-radius: var(--border-radius);
  margin-top: 20px;
  box-shadow: 0px 0px 10px rgb(0, 0, 0, 0.3);
}
.result p{
  margin-top: 10px;
}
.result p[class="partOfSpeech"]{
  font-style: italic;
  color: #808080;
  margin-top: 2px;
}

.result div{
  margin-top: 20px;
}
.result div a{
  text-decoration: none;
  background-color: var(--primary-color);
  color: var(--text-color);
}

.result li{
  padding: calc(var(--padding)/6);
  margin-left: 20px;
}

@media screen and (max-width:320px) {
  main form {
    flex-direction: column;
  }
  form button[type="submit"]{
    margin-left: 0px;
    margin-top: 10px;
  }
}